<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class QuotProformaInvoice extends Model
{
    protected $table='quot_proforma_invoice';

    public function delivery_address(){
        return $this->belongsTo(ClientAddress::class,'delivery_address_id')->withTrashed();
    }

    public function quotation(){
        return $this->belongsTo(Quotation::class,'quotation_id')->withTrashed();
    }
    public function payment_terms(){
        return $this->belongsTo(PaymentTerm::class,'payment_terms_id');
    }
    public function billing_address(){
        return $this->belongsTo(ClientAddress::class,'billing_address_id')->withTrashed();
    }
}
